> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Entity Positions

> List paginated positions for a specific entity.



## OpenAPI

````yaml GET /v1/entities/{entity_id}/positions
openapi: 3.0.1
info:
  title: REST API
  description: >-
    The Coinbase Prime REST API provides programmatic access to trading,
    custody, staking, market data, and account management functionality.
  version: '0.1'
servers:
  - url: https://api.prime.coinbase.com/
security: []
tags:
  - name: PrimeRESTAPI
paths:
  /v1/entities/{entity_id}/positions:
    get:
      tags:
        - Positions
      summary: List Entity Positions
      description: List paginated positions for a specific entity.
      operationId: PrimeRESTAPI_ListEntityPositions
      parameters:
        - name: entity_id
          in: path
          description: The unique ID of the entity
          required: true
          schema:
            type: string
        - name: cursor
          in: query
          description: Id to retrieve additional results strictly after
          schema:
            type: string
        - name: limit
          in: query
          description: Number of items to retrieve
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_rest_api.ListEntityPositionsResponse
components:
  schemas:
    coinbase.public_rest_api.ListEntityPositionsResponse:
      required:
        - pagination
        - positions
      type: object
      properties:
        positions:
          type: array
          items:
            $ref: '#/components/schemas/coinbase.public_rest_api.Position'
        pagination:
          $ref: '#/components/schemas/coinbase.public_rest_api.PaginatedResponse'
    coinbase.public_rest_api.Position:
      type: object
      properties:
        symbol:
          type: string
          description: Asset symbol
          example: BTC
        long:
          type: string
          description: The long position based on 'reference' value
          example: '10'
        short:
          type: string
          description: The short position based on 'reference' value
          example: '10'
        position_reference:
          $ref: '#/components/schemas/coinbase.public_rest_api.PositionReference'
    coinbase.public_rest_api.PaginatedResponse:
      required:
        - has_next
        - next_cursor
        - sort_direction
      type: object
      properties:
        next_cursor:
          type: string
          description: Cursor to navigate to next page
        sort_direction:
          $ref: '#/components/schemas/coinbase.public_rest_api.SortDirection'
        has_next:
          type: boolean
          description: >-
            A boolean value indicating whether there are more items to paginate
            through
    coinbase.public_rest_api.PositionReference:
      type: object
      properties:
        id:
          type: string
          description: Reference ID
          example: e8bbed13-fa33-41de-86d5-4335d8f08166
        type:
          $ref: '#/components/schemas/coinbase.public_rest_api.PositionReferenceType'
    coinbase.public_rest_api.SortDirection:
      type: string
      default: DESC
      enum:
        - DESC
        - ASC
    coinbase.public_rest_api.PositionReferenceType:
      type: string
      default: POSITION_REFERENCE_TYPE_UNSPECIFIED
      enum:
        - POSITION_REFERENCE_TYPE_UNSPECIFIED
        - ENTITY
        - PORTFOLIO

````